NoRewindIterator::rewind
ParentIterator
NoRewindIterator
PHP Manual

# NoRewindIterator::valid

Validates the iterator

### Description

public bool NoRewindIterator::valid ( void )

Checks whether the iterator is valid.

Warning

This function is currently not documented; only its argument list is available.

### Parameters

This function has no parameters.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### See Also

- NoRewindIterator::getInnerIterator